package com.kingdee.eas.custom.beisenconfig;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.eas.custom.beisenconfig.app.*;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.framework.CoreBillBase;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class BSViewConfig extends CoreBillBase implements IBSViewConfig
{
    public BSViewConfig()
    {
        super();
        registerInterface(IBSViewConfig.class, this);
    }
    public BSViewConfig(Context ctx)
    {
        super(ctx);
        registerInterface(IBSViewConfig.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("0BF5C183");
    }
    private BSViewConfigController getController() throws BOSException
    {
        return (BSViewConfigController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public BSViewConfigCollection getBSViewConfigCollection() throws BOSException
    {
        try {
            return getController().getBSViewConfigCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public BSViewConfigCollection getBSViewConfigCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getBSViewConfigCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public BSViewConfigCollection getBSViewConfigCollection(String oql) throws BOSException
    {
        try {
            return getController().getBSViewConfigCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public BSViewConfigInfo getBSViewConfigInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getBSViewConfigInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public BSViewConfigInfo getBSViewConfigInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getBSViewConfigInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public BSViewConfigInfo getBSViewConfigInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getBSViewConfigInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}